/* 
* Copyright 2016 Agencia Estatal de Administración Tibutaria
*
* Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto
* sean aprobadas por la Comisión Europea– versiones
* posteriores de la EUPL (la «Licencia»);
* Solo podrá usarse esta obra si se respeta la Licencia.
* Puede obtenerse una copia de la Licencia en:
*  
* https://joinup.ec.europa.eu/software/page/eupl
*  
* Salvo cuando lo exija la legislación aplicable o se acuerde
* por escrito, el programa distribuido con arreglo a la
* Licencia se distribuye «TAL CUAL», SIN GARANTÍAS NI CONDICIONES
* DE NINGÚN TIPO, ni expresasni implícitas.
*
* Véase la Licencia en el idioma concreto que rige los permisos y 
* limitaciones que establece la Licencia.
*/ 


package servidor.datos;

import java.sql.*;

import servidor.utiles.*;

public class TablaServicios extends Tabla_Base {
   public TablaServicios(Connection conexion) {
	  super(conexion, "Servicios");
   }
   
   
   public String getcodigo() throws SQLException {
	  return rs.getString("codigo");
   }
   
   public String getdescripcion() throws SQLException {
	  return rs.getString("descripcion");
   }
   public String getcodigoestadistico() throws SQLException {
		  return rs.getString(("CodigoEstadistico"));
   }
   public boolean getactivo() throws SQLException {
		  return rs.getBoolean("activo");
	   }  
   public boolean gethuecos() throws SQLException {
		  return rs.getBoolean("huecos");
	   }
   public String getcolasasociadas() throws SQLException {
		  return rs.getString("colasasociadas");
	   }
   public void nuevoServicioCP(String codCP, String descripcion,String catestadistica,String activo,String colasasociadas,String huecos) throws SQLException{
		  SQL("INSERT INTO Servicios (Codigo, Descripcion,CodigoEstadistico,Activo,ColasAsociadas,Huecos) VALUES (''{0}'',''{1}'',''{2}'',''{3}'',''{4}'',''{5}'')", new String[] {codCP,descripcion,catestadistica,activo,colasasociadas,huecos});
	   }
}
